fuss-client - Segnalazione #323

Nuova versione di fuss-client: si blocca I'aggancio alla rete
06/21/2017 11:57 AM - Piergiorgio Cemin

Status: Risolto Start date: 06/21/2017
Priority: Urgente Due date:

Assignee: Elena Grandi % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Il processo di fuss-client -a

si blocca a

kt_util: write_kt /etc/krb5.keytab
e non ¢'é modo che vada avanti

Tutto aggiornato, server e client

History

#1 - 06/21/2017 12:00 PM - Christopher R. Gabriel
- Status changed from Nuovo to Commenti

- Assignee changed from Christopher R. Gabriel to Piergiorgio Cemin

Ciao Piero, potresti cortesemente mandare I'output completo del comando, come si fa con fuss-server, descritto anche qui:
https://work.fuss.bz.it/projects/server/wiki/Bug_Reporting

Grazie

#2 - 06/21/2017 03:22 PM - Piergiorgio Cemin
- File typescript added

- Assignee changed from Piergiorgio Cemin to Christopher R. Gabriel

Ecco il file

#3 - 06/21/2017 03:27 PM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Elena Grandi

#4 - 06/22/2017 11:04 AM - Elena Grandi

- Assignee changed from Elena Grandi to Piergiorgio Cemin

Ho notato sulle prove locali che all'aumentare delle macchine configurate quel comando tende a diventare discretamente lento (decine di minuti sulle
mie macchine lente): & possibile che sia quello il caso?

#5 - 06/22/2017 12:58 PM - Piergiorgio Cemin

- Assignee changed from Piergiorgio Cemin to Elena Grandi

Posso solo dirti che ieri sono stato via tre ore e quando sono tornato il client su cui avevo lanciato fuss-client era ancora fermo a quel punto. ho
bloccato il processo con CTRL*C per sfinimento. Questo pomeriggio posso tentare di lasciar andare il processo a oltranza
lo avevo messo in rete fino a quel punto 14 (+ o - 1) client. Il tempo non dovrebbe superare i due minuti o tre minuti, altrimenti I'aggancio dei client
https://work.fuss.bz.it/projects/server/wiki/Bug_Reporting

alla rete diventa un problema

#6 - 06/22/2017 05:20 PM - Piergiorgio Cemin
- File top.png added

Allego immagine del carido col comando top.
Si notano 4 processi ktutil, che occupano quasi tutta la memoria, sembrano aperti da tempo inenarrabile.
Ora provo per curiosita ad ammazzarli.

#7 - 06/22/2017 05:23 PM - Christopher R. Gabriel

Piu' che la memoria direi la CPU. Nel syslog, auth.log o daemon log c'e’ per caso qualcosa di rilevante?

#8 - 06/22/2017 05:46 PM - Piergiorgio Cemin

Ho killato tutti i processi ktutil sul server, ho avviato fuss-client -a e si crea un processo

ktutil all'esecuzione di

kt_util: write_kt /etc/krb5.keytab (esecuzione si fa per dire) che occupa il 99% della CPU.
Dopo 11 minuti & ancora tutto fermo, con la CPU occupata dal processo ktutil dal 99 al 99,6%
(Scusa, prima ho sbagliato a scrivere, non la RAM)

#9 - 06/22/2017 05:49 PM - Piergiorgio Cemin

- Assignee changed from Elena Grandi to Christopher R. Gabriel

auth.log:

Jun 22 17:39:01 torri CRON?'37: pam_unix(cron:session
Jun 22 17:39:01 torri CRONZ36Z; pam_unix(cron:session
Jun 22 17:40:01 torri CRON2'28; pam_unix(cron:session
Jun 22 17:40:01 torri CRON?™2%: pam_unix(cron:session

( session opened for user root by (uid=0)
(
(
(
Jun 22 17:40:01 torri CRON?"2: pam_unix(cron:session
(
(
(
(
(

session closed for user root

session opened for user root by (uid=0)
session opened for user munin by (uid=0)
session closed for user root

session closed for user munin

session opened for user munin by (uid=0)
session opened for user root by (uid=0)
session closed for user root

session closed for user munin

Jun 22 17:40:08 torri CRON22%; pam_unix(cron:session
Jun 22 17:45:01 torri CRON?®": pam_unix(cron:session
Jun 22 17:45:01 torri CRONZEZ; pam_unix(cron:session
Jun 22 17:45:01 torri CRONZ'87%; pam_unix(cron:session
Jun 22 17:45:08 torri CRON?®™: pam_unix(cron:session

):
):
):
):
):
):
):
):
):
):

syslog:

un 22 17:47:22 torri named™*: client 127.0.0.1#28582/key torri.etorricelli.blz: signer "torri.etorricelli.blz" approved

Jun 22 17:47:22 torri named*: client 127.0.0.1#28582/key torri.etorricelli.blz: updating zone ‘etorricelli.blz/IN': deleting rrset at 'info-01.etorricelli.blz' A
Jun 22 17:47:22 torri named®*: client 127.0.0.1#28582/key torri.etorricelli.blz: updating zone 'etorricelli.blz/IN': adding an RR at 'info-01.etorricelli.blz’
A

Jun 22 17:47:22 torri dhcpd: Added new forward map from info-01.etorricelli.blz to 192.168.10.76

Jun 22 17:47:22 torri dhcpd: DHCPREQUEST for 192.168.10.76 from 78:€3:b5:92:87:ad (info-01) via eth1

Jun 22 17:47:22 torri dhcpd: DHCPACK on 192.168.10.76 to 78:€3:05:92:87:ad via eth1

Jun 22 17:47:22 torri named®*: client 127.0.0.1#28582/key torri.etorricelli.blz: signer "torri.etorricelli.blz" approved

Jun 22 17:47:22 torri named™*: client 127.0.0.1#28582/key torri.etorricelli.blz: updating zone '10.168.192.in-addr.arpa/IN": deleting rrset at
'76.10.168.192.in-addr.arpa’' PTR

Jun 22 17:47:22 torri named®*: client 127.0.0.1#28582/key torri.etorricelli.blz: updating zone '10.168.192.in-addr.arpa/IN': adding an RR at
'76.10.168.192.in-addr.arpa’' PTR

Jun 22 17:47:33 torri named®*: error (unexpected RCODE SERVFAIL) resolving 'natalia.fuss.bz.it/A/IN': 62.48.33.132#53

Jun 22 17:48:09 torri named®®*: error (network unreachable) resolving '/NS/IN': 2001:503:ba3e::2:30#53

Jun 22 17:48:09 torri named™*: error (network unreachable) resolving ‘firefox.com/DS/IN': 2001:503:ba3e::2:30#53

Jun 22 17:48:48 torri named®*: client 127.0.0.1#28582/key torri.etorricelli.blz: updating zone 'etorricelli.blz/IN': update unsuccessful:
lab-fisica-01.etorricelli.blz: 'name not in use' prerequisite not satisfied (YXDOMAIN)

Jun 22 17:48:48 torri dhcpd: DHCPREQUEST for 192.168.10.61 from 00:0f:fe:d7:44:e0 (lab-fisica-01) via eth1

Jun 22 17:48:48 torri dhcpd: DHCPACK on 192.168.10.61 to 00:0f:fe:d7:44:e0 (lab-fisica-01) via eth1

Jun 22 17:48:48 torri named*: client 127.0.0.1#28582/key torri.etorricelli.blz: updating zone ‘etorricelli.blz/IN': update unsuccessful:
lab-fisica-01.etorricelli.blz: 'name not in use' prerequisite not satisfied (YXDOMAIN)

Jun 22 17:48:48 torri dhcpd: DHCPREQUEST for 192.168.10.61 from 00:0f:fe:d7:44:e0 (lab-fisica-01) via eth1

Jun 22 17:48:48 torri dhcpd: DHCPACK on 192.168.10.61 to 00:0f:fe:d7:44:e0 (lab-fisica-01) via eth1

Jun 22 17:48:48 torri named®®*: client 127.0.0.1#28582/key torri.etorricelli.blz: updating zone 'etorricelli.blz/IN': update unsuccessful:
lab-fisica-01.etorricelli.blz/DHCID: 'RRset exists (value dependent)’ prerequisite not satisfied (NXRRSET)

Jun 22 17:48:48 torri named®*: client 127.0.0.1#28582/key torri.etorricelli.blz: updating zone 'etorricelli.blz/IN': update unsuccessful:
lab-fisica-01.etorricelli.blz: 'name not in use' prerequisite not satisfied (YXDOMAIN)

Jun 22 17:48:48 torri dhcpd: DHCPREQUEST for 192.168.10.61 from 00:0f:fe:d7:44:e0 (lab-fisica-01) via eth1

Jun 22 17:48:48 torri dhcpd: DHCPACK on 192.168.10.61 to 00:0f:fe:d7:44:e0 (lab-fisica-01) via eth1

Jun 22 17:48:48 torri named®®*: client 127.0.0.1#28582/key torri.etorricelli.blz: updating zone 'etorricelli.blz/IN': update unsuccessful:
lab-fisica-01.etorricelli.blz/DHCID: 'RRset exists (value dependent)’ prerequisite not satisfied (NXRRSET)

Jun 22 17:48:48 torri dhcpd: Forward map from lab-fisica-01.etorricelli.blz to 192.168.10.61 FAILED: Has an address record but no DHCID, not mine.
Jun 22 17:48:48 torri named®®*: client 127.0.0.1#28582/key torri.etorricelli.blz: updating zone 'etorricelli.blz/IN': update unsuccessful:
lab-fisica-01.etorricelli.blz: 'name not in use' prerequisite not satisfied (YXDOMAIN)

Jun 22 17:48:48 torri dhcpd: DHCPREQUEST for 192.168.10.61 from 00:0f:fe:d7:44:e0 (lab-fisica-01) via eth1

Jun 22 17:48:48 torri dhcpd: DHCPACK on 192.168.10.61 to 00:0f:fe:d7:44:e0 (lab-fisica-01) via eth1

Jun 22 17:48:48 torri named®*: client 127.0.0.1#28582/key torri.etorricelli.blz: updating zone 'etorricelli.blz/IN': update unsuccessful:
lab-fisica-01.etorricelli.blz/DHCID: 'RRset exists (value dependent)' prerequisite not satisfied (NXRRSET)

Jun 22 17:48:48 torri dhcpd: Forward map from lab-fisica-01.etorricelli.blz to 192.168.10.61 FAILED: Has an address record but no DHCID, not mine.

#10 - 06/22/2017 05:49 PM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Elena Grandi

#11 - 06/23/2017 10:17 AM - Elena Grandi

- Status changed from Commenti to In elaborazione

#12 - 06/23/2017 10:39 AM - Elena Grandi

- Assignee changed from Elena Grandi to Piergiorgio Cemin

Una domanda: con quel server ¢ stato aggiunto pil volte lo stesso client (o piu client, ma con lo stesso hostname) per fare prove?

Noto che facendolo il file /etc/krb5.keytab sul server sembra crescere con On? anziché con On come dovrebbe, il che giustificherebbe anche la
lentezza dopo un po' di prove.

Intanto sistemo questa parte, ma mi servirebbe sapere se € quello il caso anche da voi per sapere se devo cercare altro

#13 - 06/23/2017 02:53 PM - Elena Grandi

- Status changed from In elaborazione to Commenti

Ho aggiornato sia fuss-server (versione 8.0.16-1) che fuss-client (versione 8.0.13): adesso I'aggiunta dello stesso client pilu volte non fa aumentare a
dismisura /etc/krb5.keytab del server, che poteva essere una delle cause del rallentamento.

Per il server esistente che mostrava il problema, se ¢ fattibile (macchina di prova con pochi client) si possono cancellare /etc/krb5.keytab sia sul
server che sui client e riautenticare le macchine rilanciando fuss-client su tutti i client.

Se invece il numero di client che devono continuare a funzionare & significativo posso cercare / fornire una procedura per ricostruire un keytab
ragionevole con il quale ripartire sul server
#14 - 06/24/2017 11:51 AM - Marco Marinello

Necessario
fuss—-server create

dopo aggiornamento del pacchetto da repository (su server)?

#15 - 06/25/2017 11:39 PM - Piergiorgio Cemin

- Assignee changed from Piergiorgio Cemin to Elena Grandi

OK.

Domani mattina:

aggiorno fuss-client e fuss-server

fuss-server create

fuss-client -r su tutti i client

elimino /etc/krb5.keytab su server e client e /etc/krb5.conf sui client
fuss-client -a sui client

Ti faccio poi sapere. Per le 10 dovrei aver fatto

#16 - 06/26/2017 08:24 AM - Marco Marinello

Eseguendo fuss-client con altro utente ssh (opzione -u) ricevo errore alla terza richiesta di password:

scp: client.keytab: Permission denied

#17 - 06/26/2017 08:35 AM - Christopher R. Gabriel

- Assignee changed from Elena Grandi to Piergiorgio Cemin

L'utente utilizzato e' sudoer sul server?

#18 - 06/26/2017 09:30 AM - Marco Marinello
Christopher R. Gabriel ha scritto:

L'utente utilizzato e' sudoer sul server?

Si, trovato I'errore. Era stato aggiunto a sudo da /etc/sudoer e non al gruppo sudo. Una volta aggiunto funziona.

Forse da documentare nelle wiki che I'utente debba essere membro del gruppo sudo per eseguire I'aggancio.

04/19/2024

4/5



#19 - 06/26/2017 09:42 AM - Christopher R. Gabriel

E' gia' descritto sia nell'help del comando:

'-u', '—--user’',
help=_ ("sudo-capable user on the server."),

e anche nell'errore che viene mostrato in caso di problemi con la generazione della chiave:
Key generation failed.

If this was because of user error (e.g. a wrong
password) please try again.

If you were asked for the root password and don't
have it, you can use "~ -u USERNAME °~ to specify a user
that is enabled to run sudo on the server.

#20 - 06/26/2017 09:45 AM - Piergiorgio Cemin
- Status changed from Commenti to Risolto

- Assignee changed from Piergiorgio Cemin to Elena Grandi

Risollto. Ora I'agganccio & veloce e funziona.
Rifatto fuss-client su tutti i PC dell'aula info. Ora non c'é piu il problema, dopo 23 client messi in rete

Files
typescript 3.11 KB 06/21/2017 Piergiorgio Cemin
top.png 60 KB 06/22/2017 Piergiorgio Cemin
